<!-- <p>profile works!</p> -->

<div class="container" *ngIf="currentUser; else loggedOut">
    <header class="jumbotron">
      <h3>
        <strong>{{ currentUser.username }}</strong> Profile
      </h3>
    </header>
    
    <p>
      <strong>Email:</strong>
      {{ currentUser.email }}
    </p>
    <strong>Roles:</strong>
    <ul>
      <li *ngFor="let role of currentUser.roles">
        {{ role }}
      </li>
    </ul>
  </div>
  
  <ng-template #loggedOut>
    Please login.
  </ng-template>
